<div *ngIf="showLogin" class="d-flex justify-content-center align-items-center"  style="height: 100vh">
	<div id="login_wrapper" class="row col-md-12 justify-content-center">
		


		<section id="login_content" class="col-md-3.5">

				<div class="logo text-center">
					<img src="./assets/img/logo/logo_life_and_living.png" height=300 width=300 alt="logo" class="logo-img">
				</div>

				<div class="login-body">
					<h1 class="login-title" style="font-size:26px !important;">
						ไลฟ แอนด์ ลีฟวิ่ง
					</h1>

					<form class="form-horizontal" (keyup.enter)="validateFromgruop()" name="formData" #formData="ngForm" style="margin-top: 5vh;">
						<div class="form-group row">
							<label class="sr-only"> Username</label>
							<div class="col-md">
								<mat-form-field floatPlaceholder="never">
									<span> ชื่อผู้ใช้งาน</span>
									<input matInput  name="username" [(ngModel)]="username" [ngModelOptions]="{standalone: true}">
								</mat-form-field>
								<mat-form-field floatPlaceholder="never">
									<span> รหัสผ่าน</span>
									<input matInput id="mysecretpassword" name="password" [(ngModel)]="password" [ngModelOptions]="{standalone: true}" type="password">
									<!-- <input matInput showHideInput id="mysecretpassword" name="password" [(ngModel)]="model.password" [ngModelOptions]="{standalone: true}" #password="ngModel" type="password"> -->
									
									<!-- <i matSuffix
									class="material-icons"
									showHideTrigger="mysecretpassword"
									[showHideStatus]="{ materialIcon: true, id: 'mysecretpassword' }"
								  	></i> -->
								</mat-form-field>
							</div>
						</div>

						<div class="col-md-12 justify-content-center align-items-center" *ngIf="!submitValue.result" style="padding-top: 15px;">
							<div class="row">
								<div class="alert alert-danger col-12 text-center">
								  <label style="text-align: center;">{{ submitValue.resultValue }}</label>
								</div>
							</div>
						</div>


						<div class="row" style="padding-left: 13px; padding-right: 13px;">
							<button mat-ripple (click)="validateFromgruop()" class="btn col-md" style="background-color: #4c6561;color: #fff;" type="button">
								เข้าสู่ระบบ
							</button>
						</div>
						
					</form>
				</div>
				<div class="login-footer">
					<!-- <p class="p-t-15 text-center">
						Don't have an account? <a href="javascript:void(0)" (click)="toggleRegister = !toggleRegister">Create an account</a>
					</p> -->
				</div>
		</section>

	</div>
</div>
<loading [show]="loading"></loading>